.pswp{--pswp-bg:#000}
/* ===== IMAGE ======== */
.pswp__img{user-select:none;-webkit-user-select:none;-webkit-user-drag:none}

/* ======= CUSTOM CAPTION ======== */
.pswp__custom-caption{position:absolute;left:50%;bottom:160px;transform:translateX(-50%);max-width:90%;padding:6px 15px;color:#fff;background:rgba(0, 0, 0, 0.65);border-radius:4px;font-size:14.5px;line-height:1.4;text-align:center;pointer-events:none;z-index:1000}

/* ========= THUMBNAILS ======= */
.pswp__thumbnails{
    position:absolute;left:0;right:0;bottom:5px;display:flex;justify-content:center;gap:6px;padding:5px 50px;overflow-x:auto;z-index:999;scrollbar-width:thin;
}
.pswp__thumb-strip{
    position:absolute;left:0;right:0;bottom:10px;display:flex;justify-content:center;align-items:center;
    gap:8px;padding:6px 50px;overflow-x:auto;z-index:10000;pointer-events:auto
}
.pswp__thumb-strip img {
    width:100px;height:125px;flex:0 0 auto;object-fit:cover;border:2px solid transparent;
    border-radius:4px;opacity:.65;cursor:pointer;transition:all .2s ease;
}
.pswp__thumb-strip img:hover{opacity:1}
.pswp__thumb-strip img.active{opacity:1;border-color:#000}

/*-------- ZOMMER CSS---------------*/
.product-zoom-window{position:fixed;width:400px;height:400px;background:#fff;border:1px solid #ddd;box-shadow:0 4px 20px rgba(0,0,0,.20);overflow:hidden;display:none;z-index:999999;pointer-events:none}
.product-zoom-window img{position:absolute;display:block;max-width:none!important;margin:0 !important;padding:0 !important}

/*-------- YOUTUBE VIDEO CSS---------------*/
.pswp-youtube-container{position:absolute;top:50%;left:50%;transform:translate(-50%, -50%);width:min(90vw, 1000px);aspect-ratio:16 / 9;display:flex;align-items:center;justify-content:center}
.pswp-youtube-container iframe{width:100%;height:100%;border:0;display:block}

/* =====================================
   MOBILE
===================================== */
@media (max-width: 768px) {
    .pswp__thumb-strip{gap:5px;padding:5px 35px}
    .pswp__thumb-strip img{width:80px;height:100px}   
    .pswp__thumbnails{padding:5px 35px}
    .pswp__custom-caption{bottom:130px;font-size:13px;width:100%;max-width:100%}
    .pswp-youtube-container{width:95vw}
}